Package org.sunflow.system

# Enum Class UI.Module

java.lang.Object
java.lang.Enum<UI.Module>
org.sunflow.system.UI.Module

All Implemented Interfaces:
  `Serializable`, `Comparable<UI.Module>`, `Constable`

Enclosing class:
  `UI`

public static enum UI.Module extends Enum<UI.Module>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCEL`
`API`
`BCKT`
`BENCH`
`CAM`
`DISP`
`GEOM`
`GUI`
`HAIR`
`IMG`
`IPR`
`LIGHT`
`QMC`
`SCENE`
`SYS`
`TEX`
`USER`

## Method Summary

Modifier and Type
Method
Description
`static UI.Module`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UI.Module[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### API

public static final UI.Module API

### GEOM

public static final UI.Module GEOM

### HAIR

public static final UI.Module HAIR

### ACCEL

public static final UI.Module ACCEL

### BCKT

public static final UI.Module BCKT

### IPR

public static final UI.Module IPR

### LIGHT

public static final UI.Module LIGHT

### GUI

public static final UI.Module GUI

### SCENE

public static final UI.Module SCENE

### BENCH

public static final UI.Module BENCH

### TEX

public static final UI.Module TEX

### IMG

public static final UI.Module IMG

### DISP

public static final UI.Module DISP

### QMC

public static final UI.Module QMC

### SYS

public static final UI.Module SYS

### USER

public static final UI.Module USER

### CAM

public static final UI.Module CAM

## Method Details

### values

public static UI.Module[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static UI.Module valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null